{
  "name": "apple",
  "spritenum": 0,
  "fling": {
    "basePower": 100
  },
  "onModifyDamage": function (damage, source, target, move) {
    
    if (move.category !== 'Status') {
      return this.chainModify(1.5);
    }
  },
  "onAfterMoveSecondarySelf": function (source, target, move) {
    
    if (move.category !== 'Status' && move.totalDamage) {
      
      const damage = Math.floor(source.maxhp * 0.16);
      
      const actualDamage = Math.min(damage, source.hp - 1);
      if (actualDamage > 0) {
        this.damage(actualDamage, source, source);
        this.add('-message', `${source.name} 被下界之星的反噬之力所伤!`);
      }
    }
  },
  "isNonstandard": "Custom",
  "num": -1000
}